# /account-abstraction/operations/accounts/:address

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark>` ``/account-abstraction/operations/accounts/:address`

The `/account-abstraction/operations/accounts/:address` endpoint returns details of all operations submitted for a given account.

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Path Variables**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>:address</code></td><td>Yes</td><td></td><td>The address of the account you are querying</td></tr></tbody></table>

### **Params**

<table><thead><tr><th width="192">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>chain</code></td><td>No</td><td><code>mainnet</code></td><td>The chain type we are working with, either <code>mainnet</code> or <code>sepolia</code></td></tr></tbody></table>

### **Response Body**

The response provides an array of objects with a single entry representing an operation for the provided account.

The objects have the following properties:

<table><thead><tr><th width="247">Name</th><th width="114">Type</th><th width="389">Description</th></tr></thead><tbody><tr><td><code>_id</code></td><td><code>string</code></td><td>The unique Id for this transfer</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>The status of the operations.<br>Possible values:<br>- pending<br>- failed<br>- succeeded</td></tr><tr><td><code>source</code></td><td><code>string</code></td><td>The origin of the operation request.</td></tr><tr><td><code>sourceChain</code></td><td><code>string</code></td><td>The origin chain for the request, will be 0 if request originated off-chain.</td></tr><tr><td><code>sourceContract</code></td><td><code>string</code></td><td>The origin contract for the request, will be the zero address if request originated off-chain.</td></tr><tr><td><code>destinationChain</code></td><td><code>number</code></td><td>The chain Id of the chain this operation will run on</td></tr><tr><td><code>destinationContract</code></td><td><code>string</code></td><td>The contract address destination for this operation (i.e. the endpoint).</td></tr><tr><td><code>sourceKey</code></td><td><code>string</code></td><td>bytes32 hash of the submitting API key.</td></tr><tr><td><code>callData</code></td><td><code>string</code></td><td>The calldata to execute on-chain.</td></tr><tr><td><code>opAccount</code></td><td><code>string</code></td><td>The abstract account executing the operation.</td></tr><tr><td><code>opTarget</code></td><td><code>string</code></td><td>The target contract of the operation.</td></tr><tr><td><code>opCalldata</code></td><td><code>string</code></td><td>The hex calldata that will be executed.</td></tr><tr><td><code>opHash</code></td><td><code>string</code></td><td>Hash of the hex calldata.</td></tr><tr><td><code>processed</code></td><td><code>boolean</code></td><td>If the operation has been processed.</td></tr><tr><td><code>timestamp</code></td><td><code>string</code></td><td>Time of execution.</td></tr><tr><td><code>decodedError</code></td><td><code>object</code></td><td>Decoded information from error logs, if any.</td></tr><tr><td><code>error</code></td><td><code>boolean</code></td><td>Will be true if an error has occured.</td></tr><tr><td><code>errorDetails</code></td><td><code>object</code></td><td>Full dump of the error details logged.</td></tr></tbody></table>

### **Example Request**

<pre><code><strong>GET https://api.bless.net/account-abstraction/operations/accounts/:address?chain=sepolia
</strong></code></pre>

### **Response**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "_id": "67a37030d28e2c5e2784513e",
        "status": "succeeded",
        "source": "api-aa",
        "sourceChain": 0,
        "sourceContract": "0x0000000000000000000000000000000000000000",
        "destinationChain": 11145513,
        "destinationContract": "0xF638467824B175196856ac72FdCB6a92d61950d2",
        "sourceKey": "0x50866de637ba6022f5af826c863c5ce619ab70631dee5ecb3a0063116c4e0556",
        "calldata": {
            "to": "0xF638467824B175196856ac72FdCB6a92d61950d2",
            "data": "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"
        },
        "opAccount": "0xd46401394312C0AAb2715851cA9aa45D915894Eb",
        "opTarget": "0x4995423334127293b31d8c810Bb183809f82Be55",
        "opCalldata": "0x62a6135100000000000000000000000043fecdbeba28503c303360672c5f05825f306785000000000000000000000000000000000000000000000000000000000000000b00000000000000000000000000000000000000000000000000000000000000a0000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010000000000000000000000000000000000000000000000000000000000000000",
        "opHash": "0x12f2dde391665added86c391ed0b8eff1cf7ae61423d79c2a97eb17dbbd1bd35",
        "processed": true,
        "timestamp": "2025-02-05 14:05:36",
        "deliveryHash": "0x642165d04fd00a6748545a8301fe4d34b069578684d73d4b33ee003bb66cc978"
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bless.net/blessnet-api/account-abstraction-operations-accounts-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
